config/routes.rb
Rails.application.routes.draw do
  root 'main_page#index'
  resources :feels, only: :create
  get 'kanui', to: 'main_page#kanui'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/feel.rb
class Feel < ApplicationRecord
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/feels_controller.rb
class FeelsController < ApplicationController

  def create 
    Feel.create(feel_params)
    redirect_to kanui_path
  end 

  private 

  def feel_params
    params.require(:feel).permit(:thought)
  end

end

app/controllers/main_page_controller.rb
class MainPageController < ApplicationController

  def index
    @feel = Feel.all
  end 

  def kanui
    @feel = Feel.new
  end

  def create 
    Feel.create(feel_params)
    redirect_to kanui_path
  end 

  private 

  def feel_params
    params.require(:feel).permit(:thought)
  end

end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/feels_helper.rb
module FeelsHelper
end

app/helpers/main_page_helper.rb
module MainPageHelper
end

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Quizzes</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body>
    <%= yield %>
  </body>
</html>

app/views/main_page/index.html.erb
<html>
  <body>
      <a href= kanui ><%= image_tag 'Background.jpg', class: 'img-fluid' %></a>
  </body>
</html>

app/views/main_page/kanui.html.erb
<html>
  <body>
      <div class="back_link">
        <a href= / ><%= image_tag 'Background.jpg', class: 'back' %></a>
      </div>
    <br />
    <br />
    <br />
    <br />
    <br />
    <div class="headline">
      <h3>xkanui</h3>
    </div>
    <hr class="line_first">
    <br />
    <br />
    <br />
    <br />
    <br />
      <div class="photo">
          <%= image_tag '4.jpg', class: 'img-fluid-port' %>
      </div>       
    <br />
    <br />
    <br />
    <br />
    <br />
    <hr class="line">
    <br />
    <br />
    <br />
    <br />
    <br />
      <div class="photo">
          <%= image_tag '7.jpg', class: 'img-fluid-port' %>
      </div>
    <br />
    <br />
    <br />
    <br />
    <br />
    <hr class="line">
    <br />
    <br />
    <br />
    <br />
    <br />
      <div class="photo">
          <%= image_tag '3.jpg', class: 'img-fluid-port' %>
      </div>
    <br />
    <br />
    <br />
    <br />
    <br />
    <hr class="line">
    <br />
    <br />
    <br />
    <br />
    <br />

      
    <div class="modal_button" align="center">      
    <!-- Button trigger modal -->
      <button type="button" class="btn btn-secondary btn-xs" style="margin: auto"data-toggle="modal" data-target="#myModal">
        $
      </button>
    </div>


    <!-- Modal -->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">-</span>
            </button>
            <h4 class="modal-title" id="myModalLabel"></h4>
          </div>
            <div class="modal-body">
              <%= simple_form_for @feel, url: feels_path(@feel) do |f| %>
              <%= f.input :thought %>
            </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">n</button>
            <%= f.submit "y", class: 'btn btn-secondary' %>
          </div>
         <% end %>
        </div>
      </div>
    </div> 

  <br />
  <br />
  <br />
  <br />
 <hr class="line">
  <br />
  <br />
  <br />
  <br />

<div class="thought">
  <% @feel = Feel.all %>
  <% @feel.each do |thot| %>
    <div>
      <blockquote>
        <%= thot.thought %>
      </blockquote>
    </div>
  <% end %>
</div>

  <br />
  <br />
  <br />
  <br />
 <hr class="line">
  <br />
  <br />
  <br />
  <br />

  </body>
</html>